# WordReference for Alfred

![WordReference for Alfred](https://github.com/AlexMartinFR/alfred-wordreference/blob/main/assets/hero@1x.png)

<a href="https://www.producthunt.com/posts/wordreference-for-alfred?utm_source=badge-featured&utm_medium=badge&utm_souce=badge-wordreference-for-alfred" target="_blank"><img src="https://api.producthunt.com/widgets/embed-image/v1/featured.svg?post_id=283729&theme=dark" alt="WordReference for Alfred - Multilingual translations at your fingertips! | Product Hunt" style="width: 250px; height: 54px;" width="250" height="54" /></a>

## Table of Contents

- [Introduction](#introduction)
- [Installation](#installation)
- [Translation shortcuts](#translation-shortcuts)
- [Other shortcuts](#other-shortcuts)
- [FAQ](#faq)
- [Contribute](#contribute)
- [Donations](#donations)
- [Credits](#credits)


## Introduction

**Translate words** straight from your favorite launcher:
- Open Alfred
- Type a language combination and a word: `fren fromage`
- Press enter to open the [results page](https://www.wordreference.com/fren/fromage) on WordReference!

![WordReferenceAlfred](https://user-images.githubusercontent.com/19224681/107133877-00822880-68ed-11eb-9508-7789ed037b6f.gif)

This workflow provides **48 shortcuts** to access most of WordReference's features:
- 18 languages
- 43 language combinations
- English definitions, synonyms, usages, collocations & conjugations

## Installation

- [Download the workflow](https://github.com/AlexMartinFR/alfred-wordreference/releases/download/v1.0.1/WordReference.alfredworkflow)
- Open the `WordReference.alfredworkflow` file to add it to Alfred
- Et voilà!


## Translation shortcuts

This workflow mainly consists of translation shortcuts.

![WordReferenceAlfred](https://user-images.githubusercontent.com/19224681/107135388-7fca2900-68fa-11eb-9082-f841d044c06f.png)

**Here are all the language combinations you have at your fingertips:**

- `aren`: Arabic to English

- `zhen`: Chinese to English

- `czen`: Czech to English

- `nlen`: Dutch to English

- `enar`: English to Arabic
- `enzh`: English to Chinese
- `encz`: English to Czech
- `ennl`: English to Dutch
- `enfr`: English to French
- `ende`: English to German
- `engr`: English to Greek
- `enit`: English to Italian
- `enja`: English to Japanese
- `enko`: English to Korean
- `enpl`: English to Polish
- `enpt`: English to Portuguese
- `enro`: English to Romanian
- `enru`: English to Russian
- `enes`: English to Spanish
- `ensv`: English to Swedish
- `entr`: English to Turkish

- `fren`: French to English
- `frit`: French to Italian
- `fres`: French to Spanish

- `deen`: German to English
- `dees`: German to Spanish

- `gren`: Greek to English

- `iten`: Italian to English

- `jaen`: Japanese to English

- `koen`: Korean to English

- `plen`: Polish to English

- `ptes`: Portuguese to Spanish
- `pten`: Portuguese to English

- `roen`: Romanian to English

- `ruen`: Russian to English

- `esen`: Spanish to English
- `esfr`: Spanish to French
- `esde`: Spanish to German
- `esit`: Spanish to Italian
- `espt`: Spanish to Portuguese

- `sven`: Swedish to English

- `tren`: Turkish to English


## Other shortcuts

You can also access the advanced English dictionaries with the following shortcuts:

- `def`: definition of a word
- `syn`: synonyms of a word
- `use`: usage examples of a word
- `col`: list of composites containing a word
- `conj`: conjugations of a verb


## FAQ

**Q: Do I need an API key for this workflow?**

**A:** No! This workflow consists of simple URL shortcuts taking you directly to the relevant WordReference result page. Therefore, there is no API key needed.
##

**Q: Is my favorite language combination supported?**

**A:** Most of WordReference's dictionaries are supported. Check the [translation shortcuts list](#translation-shortcuts) or edit the workflow in Alfred to see a visual list of all available shortcuts!
##

**Q: Why did you choose flag A instead of flag B to represent language C?**

**A:** Flags aren't supposed to represent languages, but countries. I agree, but they still are the most visual representations of a language that we have at our disposal. I've experimented making icons with ISO language codes instead, but it becomes really hard to visually distinguish them from each other in Alfred. The choice I've made are not political/religious, I simply tried to pick the most neutral option whenever possible.
##

**Q: A shortcut is conflicting with another workflow. How can I fix that?**

**A:** Feel free to edit the workflow shortcuts to your convenience. The most likely suspects you might want to customize/delete are `def`, `syn`, `use`, `col` & perhaps `conj`.


## Contribute

Feel free to open an issue with your improvement suggestion. I will take every one of them into account!


## Donations

If you like this workflow and want to donate, you can:
- Become a [WordReference supporter](https://www.wordreference.com/docs/supporter.aspx) to help keep the site alive
- [Sponsor me on GitHub](https://github.com/sponsors/AlexMartinFR)
- [Send me a tip on Paypal](https://www.paypal.com/paypalme/alexmartin)

Please note that I'm in no way affiliated with WordReference, I simply cherish this awesome web resource!


## Credits

- Thanks to [Caneco](https://github.com/caneco) for his design advices and the awesome hero banner!
- Thanks to [Flaticon](https://www.flaticon.com/packs/countrys-flags) for the source flag icons.
